﻿(function ($) {
    $.fn.accordtion = function (options) {
        var defaults = {
            visibleByDefault: 1
        }

        var options = $.extend(defaults, options);

        return this.each(function () {
            var self = $(this);

            //首先隐藏所有的p标签
            self.find('p').hide();

            //设置第几个元素显示
            self.children(':eq(' + options.visibleByDefault + ')')//找到和options.visibleByDefault一致的pane对象
                .children('p')
                .show();

            //对h1标签设置click事件
            self.delegate('h1', 'click', function () {
                //为对应的p标签设置slideToggle效果
                $(this).next('p').slideToggle(600)
                //获取其他pane对象，找到他们下面的p标签，收起
                .parent().siblings().children('p').slideUp(600);
            });
        });
    }
})(jQuery);